package com.logicbig.example;

import org.primefaces.context.RequestContext;
import javax.faces.bean.ManagedBean;
import javax.faces.event.ActionEvent;
import java.util.HashMap;
import java.util.Map;

@ManagedBean
public class MainBean {

    public void showEmployees(ActionEvent ae) {
        RequestContext.getCurrentInstance().openDialog("employee", getDialogOptions(), null);
    }

    public Map<String, Object> getDialogOptions() {
        Map<String, Object> options = new HashMap<>();
        options.put("resizable", false);
        options.put("draggable", true);
        options.put("modal", true);
        options.put("height", 400);
        options.put("contentHeight", "100%");
        return options;
    }
}